﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using dhxGrid_MVC.Models;
namespace dhxGrid_MVC.Controllers
{
    [HandleError]
    public class AdminController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Data()
        {
            var context = new GridUsersDataContext();
            return View(context.Users);
        }

        public ActionResult Save(User changedUser, FormCollection form) 
        {
            string action_type = form["!nativeeditor_status"];
            long source_id = long.Parse(form["gr_id"]);
            long target_id = long.Parse(form["gr_id"]);
                   
		    var context = new GridUsersDataContext();
		    
            try
            {
                switch (action_type)
                {
                    case "inserted":
                        context.Users.InsertOnSubmit(changedUser);
                        break;
                    case "deleted":
                        changedUser = context.Users.SingleOrDefault(u => u.id == source_id);
                        context.Users.DeleteOnSubmit(changedUser);
                        break;
                    default: // "updated"                          
                        changedUser = context.Users.SingleOrDefault(u => u.id == source_id);
                        UpdateModel(changedUser);
                        break;
                }
                context.SubmitChanges();
                target_id = changedUser.id;
            }
            catch (Exception e)
            {
                action_type = "error";
            }
            return View(new ActionResponseModel(action_type, source_id, target_id));
        }

        
    }
}
